package common

import (
	"context"

	"cloud.o-forge.io/core/oc-lib/models/peer"
	pubsub "github.com/libp2p/go-libp2p-pubsub"
)

type HeartBeatStreamed interface {
	GetUptimeTracker() *UptimeTracker
}

type DiscoveryPeer interface {
	GetPeerRecord(ctx context.Context, key string) ([]*peer.Peer, error)
	GetPubSub(topicName string) *pubsub.Topic
}
